package GUIAnwendungen.StudentManagementSystem;

public class Controller {

	private Student student;
	private Student_login view;

	public Controller() {
		this.view = new Student_login();
		view.getInsertStudent().addActionListener(e -> login());

	}

	public void login() {

		String idText = view.getEingabeId().getText();
		int id = Integer.parseInt(idText);
		String name = view.getEingabeName().getText();
		String vorname = view.getEingabeVorname().getText();
		String geburtstag = view.getEingabeGeburtstag().getText();
		String geschlecht = view.getEingabeGeschlecht().getSelectedItem().toString();
		String teleN = view.getEingabeTeleN().getText();
		String email = view.getEingabeEmail().getText();
		String Adresse = view.getEingabeAdresse().getText();
		
		student = LoginStudent.login(name,vorname,geschlecht,email,teleN,Adresse,geburtstag,id);
		
		String[] werte = {student.getId()+"",student.getName(), student.getVorname(), student.getGeburtstag(),student.getGeschlecht(), student.getTele(), student.getEmail(), student.getAdresse()};
		view.getModel().addRow(werte);
		System.out.println("Erfolgreich");
		restAlleInputs();
		
	}
	
	public void restAlleInputs() {
		view.setEingabeName("");;
		view.setEingabeTeleN("");
		view.setEingabeAdresse("");
		view.setEingabeEmail("");;
		view.setEingabeGeburtstag("");;
		view.setEingabeVorname("");
		view.setEingabeId("");
	}

	public static void main(String[] args) {
		new Controller();
	}

}
